
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior:smooth;
}
body{
    font-family: 'Lora', serif;
    overflow-x: hidden;
}

a{
    text-decoration: none;
}

h1{
    font-style: normal;
    font-weight: 600;
    font-size: 43px;
    line-height: 168%;
    color: #000;
}

/* Main */
main{
    background-image: url(images/background-wine.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 100vw;
    height: 100vh;
    position: relative;
}

.main__container{
    display: flex;
    flex-direction: column;
    gap: 48px;
    max-width: 1645px;
    margin: 0 auto;
    position: relative;
    align-items: center;
    top: 10vh;
}

.main--logo{
    width: 300px;
    height: fit-content;
    object-fit: contain;
}
.main--title{
    font-style: italic;
    font-weight: 600;
    font-size: 105px;
    line-height: 100px;
    text-align: center;
    letter-spacing: 0.01em;
    color: #FFF;
}

.main--btn{
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    letter-spacing: 0.7em;
    text-transform: uppercase;
    color: #FFF;
    border: 1px solid #fff;
    padding: 10px 20px;
    background-color: transparent;
    position: relative;
    display: flex;
}
.main--btn::before, .main--btn::after{
    content: '';
    display: inline-block;
    height: 1px;
    width: 305px;
    background-color: #fff;
}
.main--btn::before, .main--btn::after{
    content: '';
    position: absolute;
    display: block;
    height: 1px;
    width: 305px;
    background-color: #fff;
    top: 50%;  
    transition: all .5s;
}
.main--btn::before{
    left: -50px;
    transform: translate(-100%, 0);
}
.main--btn::after{
    right: -50px;
    transform: translate(100%, 0);
}
.main--btn:hover{
    font-weight: 600;
}
.main--btn:hover::before{
    left: -20px;
}
.main--btn:hover::after{
    right: -20px;
}

/* Foz House */

.house{
    display: grid;
    grid-template-columns: 40vw 1fr;
    margin: 80px 0;
    background-color: #F4F4F4;
}

.house__text{
    padding: 75px 0;
    display: flex;
    flex-direction: column;
    max-width: 500px;
    margin: 0 auto;
}

.house__text--title{
    margin-bottom: 25px;
}

.house__text p {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 168%;
    max-width: 380px;
    margin-bottom: 25px;
}

.house__follow-us span{
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 168%;
    letter-spacing: 0.7em;
    text-transform: uppercase;
    margin-top: 10px;
}

.house__follow-us{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 70px;
}
.house__follow-us--social-media{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    position: relative;
    top: 5px;
}
.house__follow-us--social-media a{
    transition: all .2s;
}
.house__follow-us--social-media a:hover{
    transform: scale(1.1);
}
.house__gallery{
    max-width: 100vw;
    width: 100%;
    overflow: hidden !important;
    position: relative;
    aspect-ratio: 16 / 9;
    height: 100%;
    display: flex;
    align-items: center;

}
.house__gallery img{
    width: 100%;
    height: auto;
    object-fit: contain;
}

/* Slick Slide */

.slick-next{
    position: absolute;
    top: 50%;
    right: 0;
    border: none;
    background-color: #EFEFEF;
    border-radius: 50%;
    width: 95px;
    height: 95px;
    transform: translate(-50%, -50%);
    cursor: pointer;
    transition: all .2s;
}
.slick-arrow{
    background-image: url(images/arrow.svg);
    background-size: 12px 18px;
    background-repeat: no-repeat;
    background-position: center;
}
.slick-next:hover{
    transform: translate(-50%, -50%) scale(.9);
}

/* Contacto */

.contact{
    background-color: #141414;
    padding: 125px 0 160px 0;
}

.contact--title{
    font-weight: 400;
    font-size: 16px;
    line-height: 168%;
    letter-spacing: 0.7em;
    text-transform: uppercase;
    color: #FFF;
    margin-bottom: 45px;
}

.contact__container{
    max-width: 1560px;
    margin: 0 auto;
}

.contact__grid{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 75px;
}

.contact__grid--box::before{
    content: '';
    display: block;
    width: 100%;
    height: 1px;
    background-color: #fff;
    margin-bottom: 25px;
}
.contact__grid--box {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.contact__grid--box h3{
    font-weight: 700;
    font-size: 16px;
    line-height: 148%;
    letter-spacing: 0.13em;
    text-transform: uppercase;
    color: #FFF;
    margin-bottom: 5px;
}
.contact__grid--box p,
.contact__grid--box a{
    font-weight: 400;
    font-size: 14px;
    line-height: 148%;
    letter-spacing: 0.04em;
    color: #FFF;
}
.contact__grid--box-info{
    font-weight: 400;
    font-size: 12px;
    line-height: 168%;
    letter-spacing: 0.7em;
    text-transform: uppercase;
    color: #FFF;
    border: 1px solid #FFFFFF;
    padding: 10px;
    margin-top: 12px;
    display: block;
    text-align: center;
    transition: all .5s;
}
.contact__grid--box-info:hover{
    color: #141414;
    background-color: #fff;
}

.contact__grid--box-btn{
    background-color: #1f1f1f;
    padding: 20px 0 25px 20px;
}
.contact__grid--box-btn h3{
    font-weight: 700;
    font-size: 22px;
    line-height: 148%;
    letter-spacing: 0.13em;
    text-transform: uppercase;
    color: #FFF;
}

/* Litígios */
.litigation{
    background-color: #F4F4F4;
    padding: 50px 0;
}
.litigation__container{
    max-width: 1560px;
    margin: 0 auto;
}

.litigation--paragraph{
    margin-top: 10px;
    margin-bottom: 50px;
    max-width: 50vw;
}

.litigation--grid{
    margin-top: 30px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 20px;
}
.litigation--grid h2{
    margin-bottom: 20px;
}
.litigation--grid span{
    display: block;
}
.litigation--grid span:not(:last-child){
    margin-bottom: 5px;
}

/* Footer */

footer{
    padding: 35px 0;
}
.footer__container{
    max-width: 1560px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer--links{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
}

.footer--links a{
    font-weight: 500;
    font-size: 12px;
    line-height: 12px;
    display: flex;
    color: #B0B0B0;
    transition: all .2s;
}

.footer--links a:hover{
    color: #141414;
}

.logo--blisq{
    transition: all .2s;
}
.logo--blisq:hover{
    transform: scale(1.1);
}

@media screen and (max-width: 1680px) {
    .litigation__container,
        .contact__container, 
        .footer__container{
        padding: 0 25px;
    }
    .contact__grid {
        column-gap: 25px;
    }
    .slick-next{
        width: 80px;
        height: 80px;
    }
}
@media screen and (max-width: 1450px) {
    .house__text {
        padding: 20px 0;
    }
}

@media screen and (max-width: 1376px),
screen and (max-height: 768px) {
    .main--title{
        font-size: 86px;
        line-height: 85px;
    }
    .main__container{
        gap: 30px;
    }
    .litigation--paragraph, .litigation--grid span{
        font-size: 14px;
    }
}
@media screen and (max-width: 1280px) {
    .main--logo{
        width: 210px;
    }
    .main__container {
        gap: 38px;
    }
    .main--title {
        font-size: 60px;
        line-height: 60px;
        width: 70vw;
    }
    .main--btn{
        font-size: 10px;
    }
    .main--btn::before, .main--btn::after{
        width: 170px;
    }
    .house__follow-us span{
        letter-spacing: 0.5em;
        font-size: 10px;
    }
    .house__follow-us{
        gap: 25px;
    }
    .slick-next {
        width: 60px;
        height: 60px;
    }
    .contact__grid--box-btn h3 {
        font-size: 20px;
    }
    .contact__grid--box-info {
        letter-spacing: 0.5em;
    }
    .contact__grid--box p,
    .contact__grid--box a {
        font-size: 13px;
        line-height: 142%;
    }
    .footer--links a {
        font-size: 10px;
    }
}

@media screen and (max-width: 1080px) {
    .house {
        grid-template-columns: 1fr;
        margin: 30px 0;
    }
    .house__text {
        padding: 20px 25px;
        max-width: 100%;
    }
    .house__text p{
        max-width: 100%;
    }
    .contact__grid{
        grid-template-columns: repeat(2, 1fr);
        row-gap: 35px;
    }

}
@media screen and (max-width: 925px) {
    .main--logo {
        width: 180px;
    }
    .main--title {
        width: 100%;
    }
    .house__text p{
        font-size: 13px;
        line-height: 166%;
    }
    .footer--links{
        gap: 40px;
    }
    .litigation--grid{
        margin-top: 0;
        grid-template-columns: 1fr;
    }
    .litigation--grid:not(:first-child) h2 {
        margin-top: 20px;
    }
    .litigation--paragraph{
        max-width: 100vw;
    }
}
@media screen and (max-width: 720px) {
    h1{
        font-size: 35px;
        line-height: 120%;
    }
    .house__text p{
        font-size: 12px;
    }
    .main__container {
        gap: 30px;
    }
    .main--logo {
        width: 150px;
    }
    .main--title {
        font-size: 40px;
        line-height: 45px;
        width: 70vw;
    }
    .main--btn {
        font-size: 7px;
        padding: 8px 15px;
    }
    .main--btn::before, .main--btn::after {
        width: 100px;
    }
    .slick-next {
        width: 50px;
        height: 50px;
    }
    .contact{
        padding: 75px 0 100px 0;
    }
    .litigation--paragraph {
        margin-top: 35px;
        margin-bottom: 20px;
    }
    .litigation--paragraph, .litigation--grid span {
        font-size: 13px;
    }
}
@media screen and (max-width: 560px) {
    h1{
        font-size: 30px;
    }
    .main--title {
        font-size: 30px;
        line-height: 40px;
        width: 75vw;
    }
    .contact__grid--box-info {
        font-size: 10px;
    }
    .contact__grid--box-btn h3{
        font-size: 18px;
    }
    footer {
        padding: 25px 0;
    }
    .footer__container {
        flex-direction: column;
        gap: 20px;
    }
    .slick-next {
        width: 40px;
        height: 40px;
    }
    .slick-arrow {
        background-size: 10px 14px;
    }    
    .litigation--grid h2 {
        font-size: 20px;
    }
    .litigation--paragraph, .litigation--grid span {
        font-size: 12px;
    }
}

@media screen and (max-width: 480px) {
    .main--logo {
        width: 150px;
    }
    .footer--links a {
        text-align: center;
    }
    .main--btn::before, .main--btn::after {
        width: 70px;
    }
    .main--btn::before {
        left: -15px;
    }    
    .main--btn::after{
        right: -15px;
    }
    .house__follow-us span {
        letter-spacing: 0.4em
    }
    .contact__grid {
        grid-template-columns: 1fr;
    }
    .contact--title{
        letter-spacing: 0.5em;
    }
    .contact__grid--box p,
    .contact__grid--box a {
        font-size: 12px;
    }
    .contact__grid--box h3 {
        font-size: 14px;
    }
    .house__follow-us--social-media{
        transform: scale(.9);
    }
    .slick-next,
    .slick-arrow{
        display: none !important;
    }
}